// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  TU Dresden                                                            ==
// ==                                                                        ==
// ==  Institut fr Wissenschaftliches Rechnen                               ==
// ==  Zellescher Weg 12-14                                                  ==
// ==  01069 Dresden                                                         ==
// ==  germany                                                               ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  https://gforge.zih.tu-dresden.de/projects/amdis/                      ==
// ==                                                                        ==
// ============================================================================

/** \file Mtl4Solver.h */

#ifndef AMDIS_MTL4_SOLVER_H
#define AMDIS_MTL4_SOLVER_H

#include "ParallelProblemStatBase.h"

namespace AMDiS {

  class Mtl4Solver : public ParallelProblemStatBase
  {
  public:
    Mtl4Solver(std::string nameStr,
	       ProblemIterationInterface *problemIteration = NULL)
      : ParallelProblemStatBase(nameStr, problemIteration)
    {}

    
    ~Mtl4Solver()
    {}


    void solve(AdaptInfo *adaptInfo, bool fixedMatrix = false)
    {
      ERROR_EXIT("TO BE IMPLEMENTED!\n");
    }
  }

  typedef Mtl4Solver ParallelProblemStat;
}

#endif
